#include <stdio.h>
#include <doslibm.h>
#include "defines.h"
#include "amacro.h"

int CheckFile(unchar *file,int fyes,unchar *mes)
/* ファイル処理チェック */
/* すでにあるときは確認する(fyes=0) */
{
struct FILBUF fblock;
int ret;
	if (fyes) return(0); /* fyes=1なら常時ok */
	
	if (FILES(&fblock,file,FA_ARCH)<0) return(0); /* ファイルは存在しない */
	
	/* ファイルが存在する */
	B_PRINT("ファイルはすでに存在します："); B_PRINT(file);
	B_PRINT("\r\n");
	B_PRINT(mes);
	B_PRINT("していいですか(Y/N)？：");
	do {
		ret=getch();
		ret=toupper(ret);
	} while (ret!='Y' && ret!='N' && ret!=ESC);
	if (ret==ESC) {
		B_PRINT("\r\n");
		return(2);
	}
	B_PUTC(ret); B_PRINT("\r\n");
	/* 'Y'=0 , else=1 */
	return(ret!='Y');
}
